seq.onion {onion} | R Documentation

## seq method for onions

### Description

Rough equivalent of `seq()` for onions.

### Usage

    ## S3 method for class 'onion'
    seq(from = 1, to = 1, by = ((to -
        from)/(length.out - 1)), length.out = NULL, slerp = FALSE, ...)

### Arguments

`from` | Onion for start of sequence
`to` | Onion for end of sequence
`by` | Onion for interval
`length.out` | Length of vector returned
`slerp` | Boolean, with default `FALSE` meaning to use linear interpolation and `TRUE` meaning to use spherical linear interpolation (useful for animating 3D rotation)
`...` | Further arguments (currently ignored)

### Author(s)

Robin K. S. Hankin

### Examples

    seq(from=O1,to=Oil,length.out=6)
    seq(from=H1,to=(Hi+Hj)/2,len=10,slerp=TRUE)

[Package onion version 1.2-7 Index]